Bug 983881 - [abrt] gparted-0.14.1-1.fc19: gdk_window_set_geometry_hints: Process /usr/sbin/gpartedbin was killed by signal 11 (SIGSEGV)
[abrt] gparted-0.14.1-1.fc19: gdk_window_set_geometry_hints: Process /usr/sbi...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: gparted (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Deji Akingunola
Fedora Extras Quality Assurance
abrt_hash:630effd68f48323fbae8c72a9e1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-12 03:27 EDT by Eswara Arun Kishore
Modified: 2014-03-07 01:29 EST (History)
1 user (show)

See Also:
Fixed In Version: gparted-0.18.0-1.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-07 01:29:51 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (161.85 KB, text/plain)
2013-07-12 03:27 EDT, Eswara Arun Kishore
no flags Details
File: cgroup (140 bytes, text/plain)
2013-07-12 03:27 EDT, Eswara Arun Kishore
no flags Details
File: core_backtrace (6.68 KB, text/plain)
2013-07-12 03:27 EDT, Eswara Arun Kishore
no flags Details
File: dso_list (7.65 KB, text/plain)
2013-07-12 03:27 EDT, Eswara Arun Kishore
no flags Details
File: environ (244 bytes, text/plain)
2013-07-12 03:27 EDT, Eswara Arun Kishore
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-12 03:27 EDT, Eswara Arun Kishore
no flags Details
File: maps (39.99 KB, text/plain)
2013-07-12 03:27 EDT, Eswara Arun Kishore
no flags Details
File: open_fds (334 bytes, text/plain)
2013-07-12 03:27 EDT, Eswara Arun Kishore
no flags Details
File: proc_pid_status (903 bytes, text/plain)
2013-07-12 03:27 EDT, Eswara Arun Kishore
no flags Details
File: var_log_messages (326 bytes, text/plain)
2013-07-12 03:27 EDT, Eswara Arun Kishore
no flags Details

  None (edit)
Description Eswara Arun Kishore 2013-07-12 03:27:22 EDT
Description of problem:
I was trying to format an USB disk which is having some input/output write error

Version-Release number of selected component:
gparted-0.14.1-1.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        /usr/sbin/gpartedbin
crash_function: gdk_window_set_geometry_hints
executable:     /usr/sbin/gpartedbin
kernel:         3.9.9-301.fc19.x86_64
runlevel:       N 5
uid:            0
xsession_errors: 

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gdk_window_set_geometry_hints at gdkwindow-x11.c:2361
 #1 gtk_window_move_resize at gtkwindow.c:6219
 #2 gtk_window_check_resize at gtkwindow.c:5408
 #3 _g_closure_invoke_va at gclosure.c:840
 #6 gtk_container_idle_sizer at gtkcontainer.c:1357
 #11 g_main_context_iteration at gmain.c:3762
 #12 gtk_main_iteration_do at gtkmain.c:1358
 #13 Gtk::Main::iteration_impl at main.cc:549
 #14 GParted::Dialog_Progress::on_signal_show at Dialog_Progress.cc:223
 #15 operator() at /usr/include/sigc++-2.0/sigc++/functors/slot.h:440

Potential duplicate: bug 863814
Comment 1 Eswara Arun Kishore 2013-07-12 03:27:28 EDT
Created attachment 772555 [details]
File: backtrace
Comment 2 Eswara Arun Kishore 2013-07-12 03:27:31 EDT
Created attachment 772556 [details]
File: cgroup
Comment 3 Eswara Arun Kishore 2013-07-12 03:27:34 EDT
Created attachment 772557 [details]
File: core_backtrace
Comment 4 Eswara Arun Kishore 2013-07-12 03:27:37 EDT
Created attachment 772558 [details]
File: dso_list
Comment 5 Eswara Arun Kishore 2013-07-12 03:27:40 EDT
Created attachment 772559 [details]
File: environ
Comment 6 Eswara Arun Kishore 2013-07-12 03:27:43 EDT
Created attachment 772560 [details]
File: limits
Comment 7 Eswara Arun Kishore 2013-07-12 03:27:47 EDT
Created attachment 772561 [details]
File: maps
Comment 8 Eswara Arun Kishore 2013-07-12 03:27:50 EDT
Created attachment 772562 [details]
File: open_fds
Comment 9 Eswara Arun Kishore 2013-07-12 03:27:53 EDT
Created attachment 772563 [details]
File: proc_pid_status
Comment 10 Eswara Arun Kishore 2013-07-12 03:27:56 EDT
Created attachment 772564 [details]
File: var_log_messages
Comment 11 Fedora Update System 2014-02-21 01:26:07 EST
gparted-0.18.0-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/gparted-0.18.0-1.fc19
Comment 12 Fedora Update System 2014-02-22 13:14:17 EST
Package gparted-0.18.0-1.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing gparted-0.18.0-1.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-2930/gparted-0.18.0-1.fc19
then log in and leave karma (feedback).
Comment 13 Fedora Update System 2014-03-07 01:29:51 EST
gparted-0.18.0-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.